Ext.define('TradePortal.view.statements.DrillDownGrid', {
	extend : 'Ext.grid.Panel',
	alias : 'widget.statements_drilldowngrid',
	id : 'statements_drilldown_grid',
	store : 'StatementsDrillDown',
	border : false,
	columns : [ {
		header : 'Transaction',
		dataIndex : 'transactionNumber',
		flex : 3,
		renderer : function(value, meta, record) {
			meta.tdCls += ' column-hyperlink';
			if (record.data.transactionSuffix == 0) {
				return value;
			} else {
				return value + ' / ' + record.data.transactionSuffix;
			}
		}
	}, {
		header : 'Type',
		dataIndex : 'displayType',
		flex : 2
	}, {
		header : 'Date',
		dataIndex : 'transactionDate',
		flex : 3,
		renderer : Ext.util.Format.dateRenderer('d/m/Y')
	}, {
		header : 'Amount',
		dataIndex : 'displayAmount',
		flex : 3,
		align : 'right',
		renderer : Ext.util.Format.usMoney
	}, {
		header : 'Balance',
		dataIndex : 'balanceAmount',
		flex : 3,
		align : 'right',
		renderer : Ext.util.Format.usMoney
	}, {
		header : 'Reference',
		dataIndex : 'transactionRef',
		flex : 3
	}, {
		header : 'Order Number',
		dataIndex : 'custOrdNo',
		flex : 3
	} ],
	defaults : {
		draggable : false,
		hideable : false,
		sortable : false,
		resizable : false
	}
});
